iamax(3)

NAME
iamax - iamax: argmax_i | real( x_i ) | + | imag( x_i ) |

SYNOPSIS

  Functions
integer function icamax (n, cx, incx)
ICAMAX
integer function idamax (n, dx, incx)
IDAMAX
integer function isamax (n, sx, incx)
ISAMAX
integer function izamax (n, zx, incx)
IZAMAX

Detailed Description

Function Documentation

  integer function icamax (integer n, complex, dimension(*) cx, integer incx)

ICAMAX

Purpose:

    !>
    !>    ICAMAX finds the index of the first element having maximum |Re(.)| + |Im(.)|
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    CX

    !>          CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of CX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 70 of file icamax.f.

  integer function idamax (integer n, double precision, dimension(*) dx, integer incx)

IDAMAX

Purpose:

    !>
    !>    IDAMAX finds the index of the first element having maximum absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 70 of file idamax.f.

  integer function isamax (integer n, real, dimension(*) sx, integer incx)

ISAMAX

Purpose:

    !>
    !>    ISAMAX finds the index of the first element having maximum absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    SX

    !>          SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of SX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 70 of file isamax.f.

  integer function izamax (integer n, complex*16, dimension(*) zx, integer incx)

IZAMAX

Purpose:

    !>
    !>    IZAMAX finds the index of the first element having maximum |Re(.)| + |Im(.)|
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of ZX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, 1/15/85.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 70 of file izamax.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.